Package com.databend.jdbc.exception

## Class DatabendWithQueryIdSqlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.databend.jdbc.exception.DatabendWithQueryIdSqlException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class DatabendWithQueryIdSqlException
    extends SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabendWithQueryIdSqlException()`
`DatabendWithQueryIdSqlException​(String message, String queryId)`
`DatabendWithQueryIdSqlException​(String message, String queryId, Throwable cause)`
`DatabendWithQueryIdSqlException​(Throwable cause)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DatabendWithQueryIdSqlException

    public DatabendWithQueryIdSqlException()

#### DatabendWithQueryIdSqlException

    public DatabendWithQueryIdSqlException​(String message,
                                           String queryId)

#### DatabendWithQueryIdSqlException

    public DatabendWithQueryIdSqlException​(String message,
                                           String queryId,
                                           Throwable cause)

#### DatabendWithQueryIdSqlException

    public DatabendWithQueryIdSqlException​(Throwable cause)